#  Authors: Sylvain MARIE <sylvain.marie@se.com>
#            + All contributors to <https://github.com/smarie/mkdocs-gallery>
#
#  Original idea and code: sphinx-gallery, <https://sphinx-gallery.github.io>
#  License: 3-clause BSD, <https://github.com/smarie/mkdocs-gallery/blob/master/LICENSE>
import os

try:
    # -- Distribution mode --
    # import from _version.py generated by setuptools_scm during release
    from ._version import version as __version__
except ImportError:
    # -- Source mode --
    # use setuptools_scm to get the current version from src using git
    from os import path as _path

    from setuptools_scm import get_version as _gv

    __version__ = _gv(_path.join(_path.dirname(__file__), _path.pardir))


base_path = os.path.dirname(os.path.abspath(__file__))


def glr_path_static():
    """Returns path to packaged static files"""
    return os.path.join(base_path, "static")


__all__ = [
    "__version__",
    # submodules
    "plugin",
    # symbols
    "glr_path_static",
]
